Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

# GroupMembership

*** ** * ** ***

```
class GroupMembership : ContactsContract.DataColumnsWithJoins
```

|---|---|
| [kotlin.Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html) ||
| ↳ | [android.provider.ContactsContract.CommonDataKinds.GroupMembership](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership#) |

Group Membership.

You can use all columns defined for `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data` as well as the following aliases.

## Column aliases

| Type | Alias | Data column ||
|---|---|---|---|
| long | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership#GROUP_ROW_ID:kotlin.String` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA1:kotlin.String` |   |
| String | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership#GROUP_SOURCE_ID:kotlin.String` | none | The sourceid of the group that this group membership refers to. Exactly one of this or `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership#GROUP_ROW_ID:kotlin.String` must be set when inserting a row. If this field is specified, the provider will first try to look up a group with this `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Groups`. If such a group is found, it will use the corresponding row id. If the group is not found, it will create one. |

## Summary

| Constants ||
|---|---|
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership#CONTENT_ITEM_TYPE:kotlin.String` MIME type used when storing this in data table. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership#EXTRA_ADDRESS_BOOK_INDEX:kotlin.String` Add this query parameter to a URI to get back row counts grouped by the address book index as cursor extras. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership#EXTRA_ADDRESS_BOOK_INDEX_COUNTS:kotlin.String` The array of group counts for the corresponding group. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership#EXTRA_ADDRESS_BOOK_INDEX_TITLES:kotlin.String` The array of address book index titles, which are returned in the same order as the data in the cursor. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership#GROUP_ROW_ID:kotlin.String` The row id of the group that this group membership refers to. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership#GROUP_SOURCE_ID:kotlin.String` The sourceid of the group that this group membership refers to. |

## Constants

### CONTENT_ITEM_TYPE

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val CONTENT_ITEM_TYPE: String
```

MIME type used when storing this in data table.

    Value: "vnd.android.cursor.item/group_membership"

### EXTRA_ADDRESS_BOOK_INDEX

Added in [API level 21](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  
Deprecated in [API level 35](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val EXTRA_ADDRESS_BOOK_INDEX: String
```

Add this query parameter to a URI to get back row counts grouped by the address book index as cursor extras. For most languages it is the first letter of the sort key. This parameter does not affect the main content of the cursor.

```kotlin
Example:
 
  import android.provider.ContactsContract.Contacts;
 
  Uri uri = Contacts.CONTENT_URI.buildUpon()
           .appendQueryParameter(Contacts.EXTRA_ADDRESS_BOOK_INDEX, "true")
           .build();
  Cursor cursor = getContentResolver().query(uri,
           new String[] {Contacts.DISPLAY_NAME},
           null, null, null);
  Bundle bundle = cursor.getExtras();
  if (bundle.containsKey(Contacts.EXTRA_ADDRESS_BOOK_INDEX_TITLES) &&
          bundle.containsKey(Contacts.EXTRA_ADDRESS_BOOK_INDEX_COUNTS)) {
      String sections[] =
              bundle.getStringArray(Contacts.EXTRA_ADDRESS_BOOK_INDEX_TITLES);
      int counts[] = bundle.getIntArray(Contacts.EXTRA_ADDRESS_BOOK_INDEX_COUNTS);
  }
  
```

<br />

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX"

### EXTRA_ADDRESS_BOOK_INDEX_COUNTS

Added in [API level 21](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  
Deprecated in [API level 35](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val EXTRA_ADDRESS_BOOK_INDEX_COUNTS: String
```

The array of group counts for the corresponding group. Contains the same number of elements as the EXTRA_ADDRESS_BOOK_INDEX_TITLES array.

TYPE: int\[\]

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX_COUNTS"

### EXTRA_ADDRESS_BOOK_INDEX_TITLES

Added in [API level 21](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  
Deprecated in [API level 35](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val EXTRA_ADDRESS_BOOK_INDEX_TITLES: String
```

The array of address book index titles, which are returned in the same order as the data in the cursor.

TYPE: String\[\]

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX_TITLES"

### GROUP_ROW_ID

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val GROUP_ROW_ID: String
```

The row id of the group that this group membership refers to. Exactly one of this or `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership#GROUP_SOURCE_ID:kotlin.String` must be set when inserting a row.

Type: INTEGER

    Value: "data1"

### GROUP_SOURCE_ID

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val GROUP_SOURCE_ID: String
```

The sourceid of the group that this group membership refers to. Exactly one of this or `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership#GROUP_ROW_ID:kotlin.String` must be set when inserting a row.

Type: TEXT

    Value: "group_sourceid"